org.apache.olingo.odata2.api.edm

## Interface EdmEntityType

- All Superinterfaces:
    EdmAnnotatable, EdmMappable, EdmNamed, EdmStructuralType, EdmType
  All Known Implementing Classes:
    EdmEntityTypeImpl

      public interface EdmEntityType
      extends EdmStructuralType

  A CSDL EntityType element.

  EdmEntityType holds a set of related information like `EdmSimpleType` properties and `EdmComplexType` properties and in addition to a `complex type` it provides information about key properties, customizable feed mappings and `navigation properties`.

  Do not implement this interface or derive from class.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `EdmEntityType` | `getBaseType()` Base types are described in the OData protocol specification.
    `EdmCustomizableFeedMappings` | `getCustomizableFeedMappings()` Gets the Customizable Feed Mappings of the entity type.
    `List<EdmProperty>` | `getKeyProperties()` Get all key properties as list of `EdmProperty`.
    `List<String>` | `getKeyPropertyNames()` Gets all key property names.
    `List<String>` | `getNavigationPropertyNames()` Gets all navigation property names.
    `boolean` | `hasStream()` Indicates if the entity type is treated as Media Link Entry with associated Media Resource.

    - ### Methods inherited from interface org.apache.olingo.odata2.api.edm.EdmStructuralType

      `getProperty, getPropertyNames`

    - ### Methods inherited from interface org.apache.olingo.odata2.api.edm.EdmMappable

      `getMapping`

    - ### Methods inherited from interface org.apache.olingo.odata2.api.edm.EdmType

      `getKind, getNamespace`

    - ### Methods inherited from interface org.apache.olingo.odata2.api.edm.EdmNamed

      `getName`

    - ### Methods inherited from interface org.apache.olingo.odata2.api.edm.EdmAnnotatable

      `getAnnotations`

- - ### Method Detail

    - #### getKeyPropertyNames

          List<String> getKeyPropertyNames()
                                    throws EdmException

      Gets all key property names.
      Returns:
        collection of key property names of type List
      Throws:
        `EdmException`

    - #### getKeyProperties

          List<EdmProperty> getKeyProperties()
                                      throws EdmException

      Get all key properties as list of `EdmProperty`.
      Returns:
        collection of key properties of type List
      Throws:
        `EdmException`

    - #### hasStream

          boolean hasStream()
                     throws EdmException

      Indicates if the entity type is treated as Media Link Entry with associated Media Resource.
      Returns:
        `true` if the entity type is a Media Link Entry
      Throws:
        `EdmException`

    - #### getBaseType

          EdmEntityType getBaseType()
                             throws EdmException

      Description copied from interface: `EdmStructuralType`
      Base types are described in the OData protocol specification.
      Specified by:
        `getBaseType` in interface `EdmStructuralType`
      Returns:
        `EdmStructuralType`
      Throws:
        `EdmException`

    - #### getCustomizableFeedMappings

          EdmCustomizableFeedMappings getCustomizableFeedMappings()
                                                           throws EdmException

      Gets the Customizable Feed Mappings of the entity type.
      Returns:
        `EdmCustomizableFeedMappings`
      Throws:
        `EdmException`

    - #### getNavigationPropertyNames

          List<String> getNavigationPropertyNames()
                                           throws EdmException

      Gets all navigation property names.
      Returns:
        collection of navigation properties of type List
      Throws:
        `EdmException`

Copyright © 2013-2022 The Apache Software Foundation. All Rights Reserved.